Skip to main content
POST
/
v1
/
apps
/
{app_id}
/
promote
Promote staging to production
curl --request POST \
  --url https://api.mixpeek.com/v1/apps/{app_id}/promote \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.mixpeek.com/v1/apps/{app_id}/promote"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.mixpeek.com/v1/apps/{app_id}/promote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "app_id": "<string>",
  "deploy_id": "<string>",
  "asset_prefix": "<string>",
  "version": 123,
  "environment": "production"
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

app_id
string
required

App ID (e.g. app_abc123def456)

Response

Successful Response

Response after promoting staging to production.

app_id
string
required
deploy_id
string
required
asset_prefix
string
required
version
integer | null
environment
string
default:production